Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.util.xml
Class DOMBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sun.msv.util.xml.DOMBuilder

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class DOMBuilder
extends org.xml.sax.helpers.DefaultHandler

builds DOM from SAX2 event stream.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`DOMBuilder()`
`DOMBuilder(org.w3c.dom.Document document)`

Method Summary
`void` | `characters(char[] buf, int start, int len)`
`void` | `endElement(java.lang.String ns, java.lang.String local, java.lang.String qname)`
`org.w3c.dom.Document` | `getDocument()` returns DOM.
`void` | `ignorableWhitespace(char[] buf, int start, int len)`
`void` | `startElement(java.lang.String ns, java.lang.String local, java.lang.String qname, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMBuilder

    public DOMBuilder(org.w3c.dom.Document document)

### DOMBuilder

    public DOMBuilder()
               throws javax.xml.parsers.ParserConfigurationException

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

  returns DOM. This method should be called after the parsing was completed.

### startElement

    public void startElement(java.lang.String ns,
                             java.lang.String local,
                             java.lang.String qname,
                             org.xml.sax.Attributes atts)

### endElement

    public void endElement(java.lang.String ns,
                           java.lang.String local,
                           java.lang.String qname)

### characters

    public void characters(char[] buf,
                           int start,
                           int len)

### ignorableWhitespace

    public void ignorableWhitespace(char[] buf,
                                    int start,
                                    int len)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD